summaryrefslogtreecommitdiff
path: root/scripts/libmakepkg/source/svn.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/libmakepkg/source/svn.sh.in')
-rw-r--r--scripts/libmakepkg/source/svn.sh.in5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/libmakepkg/source/svn.sh.in b/scripts/libmakepkg/source/svn.sh.in
index f98779f2..48f4f24e 100644
--- a/scripts/libmakepkg/source/svn.sh.in
+++ b/scripts/libmakepkg/source/svn.sh.in
@@ -29,6 +29,11 @@ source "$LIBRARY/util/pkgbuild.sh"
download_svn() {
+ # abort early if parent says not to fetch
+ if declare -p get_vcs > /dev/null 2>&1; then
+ (( get_vcs )) || return
+ fi
+
local netfile=$1
local fragment=${netfile#*#}